> For the complete documentation index, see [llms.txt](https://docs.ingestlabs.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ingestlabs.com/implementation/s2s/tracking-events/purchase.md).

# Purchase

When user initiates checkout, fire the below event.

**Event Name**

mp\_purchase

**Event Payload**

```
{
    event: {
      currency: 'INR', /* Currency of website */
      transaction_id: '<order id>', /* Order Id of transaction */
      cart_id: '<unique cart id>', // mandatory
      value: 123.33, // float value of order
      coupon: '<optional coupon>', // Leave this undefined if there is no coupon
      shipping: 123.33, // total shipping value in float
      tax: 123.33, // total tax value in float
      tracking_url: '', // url for tracking the order status
      payment_type: 'Credit Card', // optional
      items: [/* Refer to Products Array page in reference below */],
      ev_source: '<Orign of the event>' // Example: Razorpay, Gokwik, etc.
    },
    customer_info: {
        pid: '<unique identifier representing user>',
        email: '<email address of user>',
        phone: '<phone number of user - no country code>',
        country: '<country code only>',
        city: '<city>',
        state: '<state>',
        fName: '<first name of user>',
        lName: '<last name of user>',
        zip: '<zip code>',
    },
    session_info: {
        /* Refer to Session Information page in reference below */
    }
}
```

{% content-ref url="/pages/shPp2T99nOk830TF3gkl" %}
[Products Array](/implementation/s2s/tracking-events/products-array.md)
{% endcontent-ref %}

{% content-ref url="/pages/crhBMNZAuGpFGvVmrI7F" %}
[Session Information](/implementation/s2s/tracking-events/session-information.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ingestlabs.com/implementation/s2s/tracking-events/purchase.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
